=head1 NAME

B<chkkitcomp> - Check if Kit components are compatible with an xCAT osimage.

=head1 SYNOPSIS

B<chkkitcomp> [B<-?>|B<-h>|B<--help>] [B<-v>|B<--version>]

B<chkkitcomp> [B<-V>|B<--verbose>] B<-i> I<osimage>  I<kitcompname_list>

=head1 DESCRIPTION

The B<chkkitcomp> command will check if the kit components are compatible with the xCAT osimage.

This command will ignore the current osimage.kitcomponents setting, and just to check if the kitcompname list in the cmdline are compatible with the osimage by osversion/ostype/osarch/ and kit component dependencies.

Note: The xCAT support for Kits is only available for Linux operating systems.

=head1 OPTIONS

=over 10

=item B<-h|--help>

Display usage message.

=item B<-V|--verbose>

Verbose mode.

=item B<-v|--version>

Command version.

=item B<-i> I<osimage>

The name of the osimage is used for check.

=item B<kitcompname_list>

A comma-delimited list of valid full kit component names or kit component basenames that are to be checking to the osimage.

=back

=head1 RETURN VALUE

0  The command completed successfully.

1  An error has occurred.

=head1 EXAMPLES

1. To check if a kit component is fitting to an osimage

chkkitcomp -i rhels6.2-ppc64-netboot-compute comp-test1-1.0-1-rhels-6.2-ppc64

Output is similar to:

Kit components comp-test1-1.0-1-rhels-6.2-ppc64 fit to osimage rhels6.2-ppc64-netboot-compute


=head1 SEE ALSO

L<lskit(1)|lskit.1>, L<addkit(1)|addkit.1>, L<rmkit(1)|rmkit.1>, L<addkitcomp(1)|addkitcomp.1>, L<rmkitcomp(1)|rmkitcomp.1>
